# Getting Started

Welcome! Let's get started building with blocks. Blocks are at the core of extending WordPress. You can create custom blocks, your own block patterns, or combine them together to build a block theme.

## Tutorials

[Development Environment](/docs/getting-started/devenv/README.md) - A guide to setup your local environment for JavaScript development for creating plugins, themes, and the tools you will need to extend WordPress or contribute to the block editor.

[Create a Block Tutorial](/docs/getting-started/create-block/README.md) - Learn how to create your first block for the WordPress block editor.

[Full Site Editing](/docs/getting-started/full-site-editing.md) - Full Site Editing (FSE) is an umbrella project name for the collection of features that bring the experience and extendability of blocks to all parts of your site—from settings and styles, to templates and themes, and more.

-   Learn [about using theme.json](/docs/how-to-guides/themes/theme-json.md) to define settings and styles for your theme.

-   [Create a Block Theme](/docs/how-to-guides/themes/create-block-theme.md) - Learn how block themes use blocks to build templates and the theme.json to provide styles.

## Additional Resources

-   [What's New in Gutenberg](https://make.wordpress.org/core/tag/gutenberg-new) - follow the Make Core blog for development news.
-   [Glossary](/docs/explanations/glossary.md)
-   [Frequently Asked Questions](/docs/explanations/faq.md)
-   [Project History](/docs/explanations/history.md)
-   [Outreach](/docs/getting-started/outreach.md)
